		function correctSizes(){
			document.getElementById('tabbarconteiner').style.height = (document.body.offsetHeight - 70)+'px'
		}
				
		/* init tree */
		var type="doc"; 
		var tree_spzy;
		var tree_gpjx;
		var tree_wjzy;
		function loadTree_spzy(){
			tree_spzy=new dhtmlXTreeObject("doctree_box","100%","100%",0);
			tree_spzy.setImagePath("_codebase/imgs/");
			tree_spzy.setOnClickHandler(function(id){openPathSpzyHtml(id);});
			tree_spzy.attachEvent("onOpenEnd",updateTreeSize);
			tree_spzy.enableCheckBoxes(false);
			tree_spzy.setOnOpenHandler(tonopen_spzy);  
			tree_spzy.setXMLAutoLoading("_xml/spzy.xml?_root&uid=0&id="+Date.parse(new Date()));
			tree_spzy.loadXML("_xml/spzy.xml?_root&uid=0&id="+Date.parse(new Date()));
		}

		function loadTree_gpjx(){
			tree_gpjx=new dhtmlXTreeObject("smpltree_box","100%","100%",0);
			tree_gpjx.setImagePath("_codebase/imgs/");
			tree_gpjx.setOnClickHandler(function(id){openPathGpjxHtml(id);}); 
			tree_gpjx.attachEvent("onOpenEnd",updateTreeSize);
			tree_gpjx.enableCheckBoxes(false);
			tree_gpjx.setOnOpenHandler(tonopen_gpjx);
			tree_gpjx.setXMLAutoLoading("_xml/gpjx.xml?_root&uid=0&id="+Date.parse(new Date()));
			tree_gpjx.loadXML("_xml/gpjx.xml?_root&uid=0&id="+Date.parse(new Date()));
		}
		function loadTree_wjzy(){
			tree_wjzy=new dhtmlXTreeObject("wenjiantree_box","100%","100%",0);
			tree_wjzy.setImagePath("_codebase/imgs/");
			tree_wjzy.setOnClickHandler(function(id){openPathWjzyHtml(id);}); 
			tree_wjzy.attachEvent("onOpenEnd",updateTreeSize);
			tree_wjzy.enableCheckBoxes(false);
			tree_wjzy.setOnOpenHandler(tonopen_wjzy);
			tree_wjzy.setXMLAutoLoading("_xml/wjzy.xml?_root&uid=0&id=0");
			tree_wjzy.loadXML("_xml/wjzy.xml?_root&uid=0&id=0");
		}

		/* **展开树********** */
		
		function tonopen_spzy(id, mode) {
			//alert(mode);	
			
		    /* return confirm((mode > 0 ? "close": "open")+mode+"&" + tree_spzy.getUserData(id, "url")); */		
			if(mode<1){

		        tree_spzy.setXMLAutoLoading("_xml/spzy.xml?"+tree_spzy.getUserData(id, "url"));

			}
                   	
			 return true;                         
             };
		function tonopen_gpjx(id, mode) {
			if(mode<1){			
		        tree_gpjx.setXMLAutoLoading("_xml/gpjx.xml?"+tree_gpjx.getUserData(id, "url"));
			}
                   	 return true;                              
             };
		function tonopen_wjzy(id, mode) {
			if(mode<1){			
		        tree_wjzy.setXMLAutoLoading("_xml/wjzy.xml?"+tree_wjzy.getUserData(id, "url"));
			}
                   	 return true;                              
             };
		
		/* 单击叶子  */

		function openPathSpzyHtml(id){
			tree_spzy.setXMLAutoLoading("_xml/spzy.xml?"+tree_spzy.getUserData(id, "url"));

			window.frames.sampleframe.location.href ="_html/spzy.html?"+ tree_spzy.getUserData(id, "url")+"&"+id+"&un="+Date.parse(new Date()); 

		}
		function openPathGpjxHtml(id){
			 tree_gpjx.setXMLAutoLoading("_xml/gpjx.xml?"+tree_gpjx.getUserData(id, "url"));
			 window.frames.sampleframe.location.href ="_html/gpjx.html?"+ tree_gpjx.getUserData(id, "url")+"&"+id+"&un="+Date.parse(new Date());

		}
		function openPathWjzyHtml(id){
			 tree_wjzy.setXMLAutoLoading("_xml/wjzy.xml?"+tree_wjzy.getUserData(id, "url"));
			 window.frames.sampleframe.location.href ="_html/wjzy.html?"+ tree_wjzy.getUserData(id, "url")+"&"+id+"&un="+Date.parse(new Date()); 
		}
		/*************界面*************/
		function updateTreeSize(){
			this.allTree.style.overflow = "visible";
			this.allTree.style.height = this.allTree.scrollHeight+"px";
			
		}
		function blank(){
			window.frames.sampleframe.location.href ="blank.html"; 
		}